VERSION 5.00
Begin VB.Form frmDataEnv 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   420
   ClientTop       =   285
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdInit 
      Caption         =   "Init"
      Height          =   495
      Left            =   120
      TabIndex        =   2
      Top             =   600
      Width           =   1095
   End
   Begin VB.CommandButton cmdFini 
      Caption         =   "Fini"
      Height          =   495
      Left            =   120
      TabIndex        =   1
      Top             =   1800
      Width           =   1095
   End
   Begin VB.CommandButton cmdTest 
      Caption         =   "Test"
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   1200
      Width           =   1095
   End
End
Attribute VB_Name = "frmDataEnv"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub cmdFini_Click()

    On Error GoTo AdoError
    DataEnvironment1.Connection1.Open
    DataEnvironment1.Connection1.Execute "DROP TABLE tb3760"
    
Done:
    DataEnvironment1.Connection1.Close
    Exit Sub

AdoError:
    Call DumpErrors
    GoTo Done

End Sub

Private Sub cmdInit_Click()

    On Error GoTo AdoError
    DataEnvironment1.Connection1.Open
    DataEnvironment1.Connection1.Execute "CREATE TABLE tb3760 ( c1 VARCHAR(15), c2 VARCHAR(15) NOT NULL DEFAULT '0.0.0.0' )"
    DataEnvironment1.Connection1.Execute "INSERT INTO tb3760 ( c1 ) VALUES ( 'a' )"
    DataEnvironment1.Connection1.Execute "INSERT INTO tb3760 ( c1, c2 ) VALUES ( 'b', '192.168.0.1' )"
    DataEnvironment1.Connection1.Execute "INSERT INTO tb3760 ( c1, c2 ) VALUES ( 'b', 'ee' )"

Done:
    DataEnvironment1.Connection1.Close
    Exit Sub

AdoError:
    Call DumpErrors
    GoTo Done

End Sub

Private Sub DumpErrors()
    Dim errLoop As Error
    Dim strError As String

    Set Errs1 = DataEnvironment1.Connection1.Errors
    For Each errLoop In Errs1
        Debug.Print errLoop.SQLState
        Debug.Print errLoop.NativeError
        Debug.Print errLoop.Description
    Next

End Sub

Private Sub cmdTest_Click()
    Dim rs As New ADODB.Recordset

    On Error GoTo AdoError
    rs.Open "SELECT * FROM tb3760", "DSN=myodbc-stable;UID=pharvey"
    While (Not rs.EOF)
        Debug.Print rs(0)
        Debug.Print rs(1)
        rs.MoveNext
    Wend

Done:
    rs.Close
    Exit Sub

AdoError:
    GoTo Done

End Sub

